BANK MEGA SYARIAH ES Bugs - Bug #2970

[HR-Report Generator]perbaikan report generator untuk mengambil data di tabel yang berbeda.
08/12/2024 12:06 PM - Muhammad Bintar

Status: QA Test Start date: 08/12/2024

Priority: Normal Due date: 08/14/2024

Assignee: Muhammad Bintar % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 2.00 hours

Description

Dear tim developer mohon support nya untuk perbaikan pada report generator dimana pada saat ini sudah berfungsi namun untuk
tabel yang berbeda terjadi error.

ini saran dari mbak yaya

g\ Minova KEZIA

s last seen just now
terkait report generator, khan ternyata di port bms emang belum
ada dataset untuk report generator. coba tolong ambil di dr
dataset yg ada di demo deh...bisa gak ya kalo gt? untuk

selanjutnya tolong bikinin redmine aja dataset baru yg terkait
ama data payroll...jadi join tabel pa1, pa2, pa3, pa4,pa5, pa22 juga

11:22

jadi untuk data non payroll pakai aja yg dr dataset di demo .53

naah yg harus d bikin dataset baru yg terkait ama payroll sesuai
chat gw di atas

11:23

port demo 61123 yaa kalo gak salah skrg ;.99

PHRPAEMPADMIN ini tabel dataset nya yg di 61123 yg udah
berfungsi

untuk dataset baru terkait payroll, bikin aja PHRPYEMPADMIN

namanya deh ya edited 11:33

deskripsi tabelnya HR Employee Payroll .55

tampilan error nya
Output Report Filter Report

© Add | | ] Delete

) Field Data Type Header Title Format Display
LRSS @ StartDate CHAR Start Date DATE

B Human Resource ) EndDate CHAR End Date DATE
[ EmployeelD CHAR Employee ID
[ FullName CHAR Full Name
[0 | EmployeeArea CHAR Employee Area

Process Report +
Report Result
T o0 b bl [Sskctofomst — vemn

An error has sccurred during report processing.
Query execution failed for dataset 'DataSet'.
For more infermation about this error navigate to the report server on the local server machine, or enable remote errors

sudah ambil SP dan RDL nya dari demo dan di bawa ke bms di db 1442

SP PRPTBIRPTGENERATOR
RDL PRPTBIRPTGENERATOR

remote.minovais.com:31134
database
remote.minovais.com, 1442
BankMegaSyariahDev

History

#1 - 08/12/2024 02:42 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

ini untuk fixing dataset tabel employee admin ya, dimana kalau untuk tabel dataset ini di port demo sudah berjalan.
Mohon fixing nya
Tks

#2 - 08/12/2024 02:44 PM - Kezia Pawitra Yulianti

untuk dataset tabel payroll di bikin d redmine terpisah aja.
Tolong ya mas bin
Tks

#3 - 08/14/2024 02:20 PM - M Azid Wahyudi

- File clipboard-202408141419-27Ibv.png added

- File clipboard-202408141420-yrwxn.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear,, masbin udah bisa di test ya
Data Information

TableName: PHRPAEMPADMIN Q DateType Key Date -
- TableDescription HR Employee Admin KeyDate: 14/08/2024 -
My Workplace
Y & HeaderInfon KeyStartDate 14/08/2024
KeyEndDate: 14/08/2024

Footernformation:
HR Statistics

I Human Resource

I System Administration Qutput Report Filter Report

© Add | @ Delete
& Field Condition Value

& Gender (=) Equal 01

of379 F M Select a format + | Export

Report Generator

HR Employee Admin

Header Information

Date Type Key Date

Date © 14/08/2024

Parameter : Gender=01'

No.  Gender Start Date Employez ID Full Name

package :
sdatatable (PHRPAEMPADMIN)

BLEFIELD
N Column Alias Table Outp... Sort Type Sort Order Filter Or.. Or... Or...
» TableName SDATATAB... [} i
TableDescripti... SDATATAB. -]
TableType SDATATAB.. @
TableClass SDATATAB... -]
DevStatus SDATATAB... -]
IsEditable SDATATAB... -]
TimeConstraint SDATATAB... -]
StoreTable SDATATAB... -]
CreateBy SDATATAB.. @
CreateDate SDATATAB... -]
ChangeBy SDATATAE.. @
ChangeDate SDATATAR.. @
-}
TableName TableDescription  TableType TableClass DevStatus IsEditable TimeConstraint  StoreTable CreateBy CreateDate ChangeBy ChangeDate
» YHRPAEMPADMIN HR Employee A... 02 04 P 1 N PHRPAEMPAD... minovais 20160913121551  minovais 20160913121551
. NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
makasih
